﻿using ELTE.TravelAgency.Models;
using System;
using System.Collections.Generic;
using System.Web.Http;

namespace ELTE.TravelAgency.Controllers
{
    /// <summary>
    /// Foglalás dátumot ellenőrző vezérlő.
    /// </summary>
    [RoutePrefix("api/rentdate")] // útvonal feloldás megadása
    public class RentDateApiController : ApiController
    {
        private ITravelService _service;

        public RentDateApiController()
        {
            _service = new TravelService();
        }

        /// <summary>
        /// Adott adott hónap szabad napjainak lekérdezése.
        /// </summary>
        /// <param name="apartmentId">Apartman azonosító.</param>
        /// <param name="year">Az év.</param>
        /// <param name="month">A hónap.</param>
        /// <returns>Az adott hónap szabad napjai egy gyűjteményben.</returns>
        [Route("{apartmentId}/{year}/{month}")] // útvonal feloldás megadása
        public IEnumerable<DateTime> Get(Int32? apartmentId, Int32? year, Int32? month)
        {
            if (apartmentId == null || year == null || month == null)
                return null;

            return _service.GetRentDates(apartmentId.Value, year.Value, month.Value);
        }

    }
}
